Search contacts
curl --request GET \
--url https://api.conduit.ai/v1/contacts/search \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"first_name": "Jane",
"last_name": "Doe",
"image_url": null,
"type": null,
"inbox_type_id": "guest",
"archived": false,
"ai_paused": false,
"last_channel": "unthreaded_email",
"last_message_at": "2026-04-03T03:14:15.000Z",
"last_message_preview": "Can I check in early?",
"created_at": "2026-04-01T17:22:10.000Z",
"updated_at": "2026-04-03T03:14:15.000Z"
}
],
"next_cursor": "page-token",
"has_more": true
}Contacts
Search Contacts
Search for contacts by name, email, phone number, or other attributes.
GET
/
v1
/
contacts
/
search
Search contacts
curl --request GET \
--url https://api.conduit.ai/v1/contacts/search \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"first_name": "Jane",
"last_name": "Doe",
"image_url": null,
"type": null,
"inbox_type_id": "guest",
"archived": false,
"ai_paused": false,
"last_channel": "unthreaded_email",
"last_message_at": "2026-04-03T03:14:15.000Z",
"last_message_preview": "Can I check in early?",
"created_at": "2026-04-01T17:22:10.000Z",
"updated_at": "2026-04-03T03:14:15.000Z"
}
],
"next_cursor": "page-token",
"has_more": true
}Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Query Parameters
Workspace to query.
Example:
"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"
Search value. Common lookups include email address, phone number, first name, and last name.
Example:
"joe@gmail.com"
Field to search. any uses heuristics: email-like input searches channels, phone-like input searches phone channels, otherwise it searches contact metadata.
Available options:
any, name, first_name, last_name, email, phone, whatsapp, channel Example:
"email"
Required range:
1 <= x <= 100Available options:
true, false Was this page helpful?
⌘I